org.wso2.carbon.webapp.mgt

## Class WebappsWrapper

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.WebappsWrapper

- All Implemented Interfaces:
    org.wso2.carbon.utils.Pageable

      public final class WebappsWrapper
      extends Object
      implements org.wso2.carbon.utils.Pageable

  This class holds summary information about all the webapps in the system

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappsWrapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostName()`
    `int` | `getHttpPort()`
    `int` | `getHttpsPort()`
    `int` | `getNumberOfCorrectWebapps()`
    `int` | `getNumberOfFaultyWebapps()`
    `int` | `getNumberOfPages()`
    `VersionedWebappMetadata[]` | `getWebapps()`
    `String` | `getWebappsDir()`
    `<T> void` | `set(List<T> items)`
    `void` | `setHostName(String hostName)`
    `void` | `setHttpPort(int httpPort)`
    `void` | `setHttpsPort(int httpsPort)`
    `void` | `setNumberOfCorrectWebapps(int numberOfCorrectWebapps)`
    `void` | `setNumberOfFaultyWebapps(int numberOfFaultyWebapps)`
    `void` | `setNumberOfPages(int numberOfPages)`
    `void` | `setWebapps(VersionedWebappMetadata[] webapps)`
    `void` | `setWebappsDir(String webappsDir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebappsWrapper

          public WebappsWrapper()

  - ### Method Detail

    - #### getNumberOfPages

          public int getNumberOfPages()

      Specified by:
        `getNumberOfPages` in interface `org.wso2.carbon.utils.Pageable`

    - #### setNumberOfPages

          public void setNumberOfPages(int numberOfPages)

      Specified by:
        `setNumberOfPages` in interface `org.wso2.carbon.utils.Pageable`

    - #### set

          public <T> void set(List<T> items)

      Specified by:
        `set` in interface `org.wso2.carbon.utils.Pageable`

    - #### getNumberOfCorrectWebapps

          public int getNumberOfCorrectWebapps()

    - #### setNumberOfCorrectWebapps

          public void setNumberOfCorrectWebapps(int numberOfCorrectWebapps)

    - #### getNumberOfFaultyWebapps

          public int getNumberOfFaultyWebapps()

    - #### setNumberOfFaultyWebapps

          public void setNumberOfFaultyWebapps(int numberOfFaultyWebapps)

    - #### getWebappsDir

          public String getWebappsDir()

    - #### setWebappsDir

          public void setWebappsDir(String webappsDir)

    - #### getHostName

          public String getHostName()

    - #### setHostName

          public void setHostName(String hostName)

    - #### getHttpPort

          public int getHttpPort()

    - #### setHttpPort

          public void setHttpPort(int httpPort)

    - #### getHttpsPort

          public int getHttpsPort()

    - #### setHttpsPort

          public void setHttpsPort(int httpsPort)

    - #### getWebapps

          public VersionedWebappMetadata[] getWebapps()

    - #### setWebapps

          public void setWebapps(VersionedWebappMetadata[] webapps)

Copyright © 2019 WSO2. All rights reserved.